package de.hhu.ba.yoshikoWrapper.gui;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JCheckBox;
import javax.swing.JPanel;

public class TimeLimitSetter extends JPanel{
	
	/**
	 * Unique UID for serialization
	 */
	private static final long serialVersionUID = 6617497954814566334L;
	
	private JCheckBox checkBox;
	private NumberInputField numberField;
	
	public TimeLimitSetter() {
		checkBox = new JCheckBox();
		numberField = new NumberInputField();
		numberField.setEnabled(false); //By default time limit is turned off
		numberField.setSize(40, 10);
		checkBox.addActionListener(
				new ActionListener() {

					@Override
					public void actionPerformed(ActionEvent e) {
						numberField.setEnabled(checkBox.isSelected());
					}
					
				}
				);
		//REGISTER COMPONENTS
		this.add(checkBox);
		this.add(numberField);
	}
	
	public int getTimeLimit() {
		if (checkBox.isSelected()) {
			return -1;
		}
		return numberField.getTimeLimit();
	}

}
