package de.hhu.ba.yoshikoWrapper.gui;

import java.text.NumberFormat;

import javax.swing.JFormattedTextField;
import javax.swing.text.NumberFormatter;

/**
 * Provides a more strict input field that only accepts integers
 */
public class NumberInputField extends JFormattedTextField{

	/**
	 * SerialVersionUID
	 */
	private static final long serialVersionUID = -1144461027491991050L;
	
	
	public NumberInputField() {
		super(FormatHelper.getIntegerFormatter());
	}

	public int getTimeLimit() {
		return Integer.parseInt(getText());
	}
}
